package com.keao.edu.user.service;


import com.keao.edu.common.page.PageInfo;
import com.keao.edu.common.service.BaseService;
import com.keao.edu.user.dto.ExamReviewDto;
import com.keao.edu.user.dto.ExamReviewRecordDto;
import com.keao.edu.user.entity.ExamReview;
import com.keao.edu.user.page.ExamReviewQueryInfo;
import com.keao.edu.user.page.ExamReviewRecordQueryInfo;

public interface ExamReviewService extends BaseService<Long, ExamReview> {

    /**
     * @describe 获取考试结果
     * @author Joburgess
     * @date 2020.06.24
     * @param queryInfo:
     * @return com.keao.edu.common.page.PageInfo<com.keao.edu.user.dto.ExamReviewDto>
     */
    PageInfo<ExamReviewDto> findExamResult(ExamReviewQueryInfo queryInfo);

    /**
     * 监考页面评审列表查询
     * @param queryInfo
     * @return
     */
    PageInfo<ExamReviewRecordDto> queryExamReviewRecordList(ExamReviewRecordQueryInfo queryInfo);

    /**
     * 老师评审
     * @param examReview
     */
    void add(ExamReview examReview);
}
